From eb51d6539a14e5b432f75c3964a89d50fef8883b Mon Sep 17 00:00:00 2001
From: Wen Gong <wgong@codeaurora.org>
Date: Fri, 13 Mar 2020 11:54:43 +0800
Subject: [PATCH 25/76] ath11k: change check from ATH11K_STATE_ON to
 ATH11K_STATE_TM for UTF

When running in UTF mode, its state is ATH11K_STATE_TM, so it need to
change to a correct state.

Tested-on: QCA6390 hw2.0 PCI WLAN.HST.1.0.1-01230-QCAHSTSWPLZ_V2_TO_X86-1

Signed-off-by: Wen Gong <wgong@codeaurora.org>
---
 drivers/net/wireless/ath/ath11k/testmode.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/drivers/net/wireless/ath/ath11k/testmode.c b/drivers/net/wireless/ath/ath11k/testmode.c
index b03e028..192ab29 100644
--- a/drivers/net/wireless/ath/ath11k/testmode.c
+++ b/drivers/net/wireless/ath/ath11k/testmode.c
@@ -390,7 +390,7 @@ static int ath11k_tm_cmd_wmi(struct ath11k *ar, struct nlattr *tb[])
 
 	mutex_lock(&ar->conf_mutex);
 
-	if (ar->state != ATH11K_STATE_ON) {
+	if (ar->state != ATH11K_STATE_TM) {
 		ret = -ENETDOWN;
 		goto out;
 	}
-- 
2.7.4

